<?php

define("PERMISSION_TYPE", NULL); // No permission required to visit this page

require __dir__ . '/init.php';

require _SDIR . '/for-index.php';

template::$BLANK_PAGE = TRUE;

template::$classes[] = "bg-info login-page";

template::get_header(); 

?>

	<?php bridge::open(); ?>
						
		<div class='pt-5'>
			<div class='card shadow'>
				<div class='card-body'>
					
					<div class="logo text-center mb-3">
						<a href="<?php echo help::url(); ?>">
							<img src="<?php echo template::$logo; ?>" height="50" alt="" />
						</a>
					</div>	
					
					<form method="post" action="index.php">

						<?php template::alert( $msg, 'danger' ); ?>
						
						<div class="row">
							<div class="col-lg-4">
								<div class="login-input-head">
									<p><b>Email / Account No</b></p>
								</div>
							</div>
							<div class="col-lg-8">
								<div class="input-group">
									<input type="text" name="email" class='form-control' /> 
									<div class='input-group-append'>
										<span class='input-group-text'>
											<i class="fa fa-user login-user" aria-hidden="true"></i>
										</span>
									</div>
								</div>
							</div>
						</div>
						
						<div class="row">
							<div class="col-lg-4">
								<div class="login-input-head">
									<p><b>Password</b></p>
								</div>
							</div>
							<div class="col-lg-8">
								<div class="input-group mb-2">
									<input type="password" name="password" class='form-control' />
									<div class='input-group-append'>
										<span class='input-group-text'>
											<i class="fa fa-lock login-user"></i>
										</span>
									</div>
								</div>
							</div>
						</div>
						
						<div class="row">
							<div class="col-lg-4"></div>
							<div class="col-lg-8">
								<div class="mb-1">
									<div class="forgot-password">
										<a href="reset.php">Forgot password?</a>
									</div>
								</div>
								<div class="mb-1">
									<div class="login-keep-me form-check">
										<label class="form-check-label" for='remember'>
											<input type="checkbox" name="remember" checked class='form-check-input' id='remember'> Keep me logged in
										</label>
									</div>
								</div>
								<div class="login-button-pro my-3">
									<button type="submit" class="btn btn-lg btn-block btn-primary mb-2">Log in</button>
									<a href="register.php">Register</a>
								</div>
							</div>
						</div>

					</form>
					
				</div>
			</div>
		</div>
		
		<a href="<?php echo help::url(); ?>" class="btn btn-primary btn-block mt-5">
			Back To Home
		</a>
			
	<?php bridge::close(); ?>
	
<?php template::get_footer(); ?>