<?php

require_once __DIR__ . '/database.php';

if( !defined("ROOT_DIR") ) require __DIR__ . '/setup.php';

require __dir__ . '/vendor/autoload.php';

$msg = "";

if( empty(session_id()) ) session_start();

define("ROOT_DIR", realpath( __DIR__ . '/../' ));

define("CONFIG_DIR", ROOT_DIR . '/connections');

define("INC_DIR", CONFIG_DIR . '/includes'); 
define("CLASS_DIR", CONFIG_DIR . '/classes');
define("TEMP_DIR", CONFIG_DIR . '/template');
define("PLUGINS_DIR", TEMP_DIR . '/plugins');
define("EMAIL_DIR", TEMP_DIR . '/email');

define("ADMIN_DIR", ROOT_DIR . '/controller');
define("USERS_DIR", ROOT_DIR . '/app');

define("UPLOADS_DIR", USERS_DIR . '/uploads');


### [ requirements ] ###

require CLASS_DIR . '/help.php';
require CLASS_DIR . '/pairs.php';
require CLASS_DIR . '/sQuery.php';
require CLASS_DIR . '/events.php';
require CLASS_DIR . '/mailer.php';

require TEMP_DIR . '/template.php';
require TEMP_DIR . '/bridge.php';

require CLASS_DIR . '/PHPMailer/PHPMailer.php';
require CLASS_DIR . '/PHPMailer/Exception.php';
require CLASS_DIR . '/PHPMailer/SMTP.php';

require CLASS_DIR . '/QRCode/qrlib.php';

require INC_DIR . '/crawlers.php';


$settings = new pairs($link, "settings");

$_GET = help::sanitize($_GET);

$userImgURL = help::url( UPLOADS_DIR . '/profile' );

template::init();

/*
	PERMISSION_TYPE : 	Needs to be defined on some pages before requiring this config file
						Otherwise, it will result to too many redirects
*/

if( !defined("PERMISSION_TYPE") ) define("PERMISSION_TYPE", "LOGIN");

$currency = $settings->get('currency');


## Prevent Crawlers;

if( is_crawler() ) exit( "OH NO! Something went wrong" );

