<?php 

/* 
<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<link rel="stylesheet" href="<?php echo help::url( __dir__ . '/style.css' ); ?>" media="all" />
		<link rel="stylesheet" href="<?php echo help::url( __dir__ . '/bootstrap-utilities.css' ); ?>" media="all" />
	</head>
	<body>
*/	


?>
	
		<div class='main-border'>
		
			<div class="clearfix header text-center">
				<div id="logo" class='mb-2'>
					<img src="<?php echo template::$logo; ?>" height="60px">
				</div>
				<div id="company">
					<h2 class="name"><?php echo $settings->get('bname'); ?></h2>
				</div>
			</div>
			
			<div class='main'>
			
				<div class='info d-flex justify-content-between align-items-center'>
					<h2 class=''>Transaction Receipt</h2>
					<p class='text-end'>Generated on <?php echo date("dS, M Y \@ h:i A"); ?></p>
				</div>
				
				<table border="0" cellspacing="0" cellpadding="0" class='table mb-5'>
					<tbody>
						<tr>
							<td class="th">Transaction Amount</td>
							<td class=""><?php echo $currency . number_format($tx['amount'], 2); ?></td>
						</tr>
						<tr>
							<td class="th">Transaction Type</td>
							<td class=""><?php echo ucfirst($tx['tx_type']); ?></td>
						</tr>
						<tr>
							<td class="th">Transaction Date</td>
							<td class=""><?php echo (new dateTime($tx['date']))->format("Y-M-d h:i A"); ?></td>
						</tr>
						<tr>
							<td class="th">Transaction Comment</td>
							<td class=""><?php echo !empty($tx['comments']) ? $tx['comments'] : '-'; ?></td>
						</tr>
						<tr>
							<td class="th">Transaction Status</td>
							<td class=""><?php echo $tx['status']; ?></td>
						</tr>
						<tr>
							<td class="th">Transaction Charge</td>
							<td class=""><?php echo $currency . number_format($tx['charges'], 2); ?></td>
						</tr>
						<tr>
							<td class="th">Reference ID</td>
							<td class=""><?php echo $tx['tx_no']; ?></td>
						</tr>
					</tbody>
				</table>
				
				
				<h2>Sender Detail</h2>
				
				<table border="0" cellspacing="0" cellpadding="0" class='table mb-5'>
					<tbody>
						<tr>
							<td class="th">Account Name</td>
							<td class=""><?php echo $tx['sender_name']; ?></td>
						</tr>
						<tr>
							<td class="th">Account Number</td>
							<td class=""><?php echo substr_replace($tx['account'], '****', 4, -2); ?></td>
						</tr>
					</tbody>
				</table>
				
				
				<h2>Beneficiary Detail</h2>
				
				<table border="0" cellspacing="0" cellpadding="0" class='table mb-5'>
					<tbody>
						<tr>
							<td class="th">Account Name</td>
							<td class=""><?php echo $tx['beneficiary']; ?></td>
						</tr>
						<tr>
							<td class="th">Account Number</td>
							<td class=""><?php echo $tx['to_accno']; ?></td>
						</tr>
						<tr>
							<td class="th">Bank Name</td>
							<td class=""><?php echo $tx['bank_name']; ?></td>
						</tr>
						<tr>
							<td class="th">Region</td>
							<td class=""><?php echo $tx['method']; ?></td>
						</tr>
					</tbody>
				</table>
				
			</div>
			
			<div class='footer'>
				This is an automated transaction receipt generate by <?php echo $settings->get('bname'); ?>. <br>
				For more enquiries about <?php echo $settings->get('name'); ?> service, please contact our customer care representatives
			</div>
	
		</div>

<?php

/*		
  </body>
</html>

*/ 

?>