<!DOCTYPE html>
<html lang="en">
    <head>
	
        <title><?php echo $title; ?></title>
        
		<meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
		
        <link rel="icon" href='<?php echo template::$logo; ?>'>
		<link rel="stylesheet" href="<?php echo help::url( PLUGINS_DIR . '/dataTables/datatables.min.css' ); ?>">
        <link rel="stylesheet" type="text/css" href="<?php echo help::url( TEMP_DIR . "/assets-user/css/main.css" ); ?>">
        <link rel="stylesheet" type="text/css" href="<?php echo help::url( TEMP_DIR . "/assets-user/css/widgets.css" ); ?>">
        <link rel="stylesheet" type="text/css" href="<?php echo help::url( TEMP_DIR . "/defaults.css" ); ?>">
        <link rel="stylesheet" type="text/css" href="<?php echo help::url( TEMP_DIR . "/assets-user/css/style.css" ); ?>">
        <link rel="stylesheet" href="<?php echo help::url( PLUGINS_DIR . '/font-awesome-5.8.2/css/all.css' ); ?>">
		
		<?php events::exec("@header"); ?>
		
    </head>
    <body class="app sidebar-mini <?php echo implode(" ", template::$classes); ?>">
       
		<?php if( !self::$BLANK_PAGE ): ?>
			
			<header class="app-header">
				<a class="app-header__logo" href="<?php echo help::url(); ?>">
					<img src='<?php echo template::$logo; ?>' height='40px'>
				</a>
				<!-- Sidebar toggle button--><a class="app-sidebar__toggle" href="#" data-toggle="sidebar" aria-label="Hide Sidebar"></a>
				<!-- Navbar Right Menu-->
				<ul class="app-nav">
					<!--Notification Menu-->
					<li class="dropdown">
						<div id="google_translate_element" style="margin-left:2%"></div>
						<script type="text/javascript">
							function googleTranslateElementInit() {
							  new google.translate.TranslateElement({pageLanguage: 'en', layout: google.translate.TranslateElement, autoDisplay: false}, 'google_translate_element');
							}
						</script>
						<script type="text/javascript" src="//translate.google.com/translate_a/element.js?cb=googleTranslateElementInit"></script>
					</li>
					<!-- User Menu-->
					<li class="dropdown">
						<a class="app-nav__item" href="#" data-toggle="dropdown" aria-label="Open Profile Menu"><i class="fa fa-user fa-lg"></i></a>
						<ul class="dropdown-menu settings-menu dropdown-menu-right">
							<li><a class="dropdown-item" href="details.php"><i class="fa fa-user fa-lg"></i> Profile</a></li>
							<li><a class="dropdown-item" href="cpassword.php"><i class="fa fa-key fa-lg"></i> Password</a></li>
							<li><a class="dropdown-item" href="logout.php"><i class="fas fa-sign-out-alt fa-lg"></i> Logout</a></li>
						</ul>
					</li>
				</ul>
			</header>
			
			<?php global $__user, $userImgURL; ?>
			
			<!-- Sidebar menu-->
			<div class="app-sidebar__overlay" data-toggle="sidebar"></div>
			<aside class="app-sidebar">
			
				<div class="app-sidebar__user d-block text-center">
					<img class="app-sidebar__user-avatar oval-pic" src="<?php echo $userImgURL . "/{$__user['pics']}"; ?>" alt="User Image">
					<div class='mt-2'>
						<p class="app-sidebar__user-name"><?php echo "{$__user['fname']} {$__user['lname']}"; ?></p>
						<p class="app-sidebar__user-designation d-none">Frontend Developer</p>
					</div>
				</div>
				
				<ul class="app-menu">
				
					<li>
						<a class="app-menu__item" href="home.php">
							<i class="app-menu__icon fas fa-home"></i>
							<span class="app-menu__label">Dashboard</span>
						</a>
					</li>
					
					<?php if(empty($__user['kyc'])): ?>
					<li>
						<a href="kyc.php" class="treeview-item text-white d-block brand-text">
							You have not yet verified you KYC. Click now to submit your details
						</a>
					</li>
					<?php endif; ?>
				
					<li class="treeview">
						<a class="app-menu__item" href="#" data-toggle="treeview">
							<i class="app-menu__icon fa fa-users"></i>
							<span class="app-menu__label">My Account</span>
							<i class="treeview-indicator fa fa-angle-right"></i>
						</a>
						<ul class="treeview-menu">
							<li><a class="treeview-item" href="details.php">Profile</a></li>
							<li><a class="treeview-item" href="statement.php">Statements</a></li>
							<li><a class="treeview-item" href="kyc.php">KYC</a></li>
							<li><a class="treeview-item" href="cpassword.php">Change Password</a></li>
							<li><a class="treeview-item" href="cpin.php">Change Pin</a></li>
							<li><a class="treeview-item" href="activity.php">Activity Log</a></li>
						</ul>
					</li>
				
					<li class="treeview">
						<a class="app-menu__item" href="#" data-toggle="treeview">
							<i class="app-menu__icon fa fa-paper-plane"></i>
							<span class="app-menu__label">Transfer</span>
							<i class="treeview-indicator fa fa-angle-right"></i>
						</a>
						<ul class="treeview-menu">
							<li><a class="treeview-item" href="local.php">Domestic</a></li>
							<li><a class="treeview-item" href="international.php">International</a></li>
							<li><a class="treeview-item" href="payment.php">History</a></li>
						</ul>
					</li>
				
					<li class="treeview">
						<a class="app-menu__item" href="#" data-toggle="treeview">
							<i class="app-menu__icon fa fa-landmark"></i>
							<span class="app-menu__label">Monetary</span>
							<i class="treeview-indicator fa fa-angle-right"></i>
						</a>
						<ul class="treeview-menu">
							<li><a class="treeview-item" href="digital-deposit.php">Digital Deposit</a></li>
							<li><a class="treeview-item" href="card.php">Cards</a></li>
						</ul>
					</li>
				
					<li class="treeview">
						<a class="app-menu__item" href="#" data-toggle="treeview">
							<i class="app-menu__icon fa fa-users"></i>
							<span class="app-menu__label">Loan</span>
							<i class="treeview-indicator fa fa-angle-right"></i>
						</a>
						<ul class="treeview-menu">
							<li><a class="treeview-item" href="loan.php">Loan Application</a></li>
							<li><a class="treeview-item" href="sloan.php">Loan Status</a></li>
						</ul>
					</li>
				
					<li class="treeview">
						<a class="app-menu__item" href="#" data-toggle="treeview">
							<i class="app-menu__icon fa fa-check-double"></i>
							<span class="app-menu__label">Support</span>
							<i class="treeview-indicator fa fa-angle-right"></i>
						</a>
						<ul class="treeview-menu">
							<li><a class="treeview-item" href="faq.php">FAQ</a></li>
							<li><a class="treeview-item" href="message.php">Message</a></li>
						</ul>
					</li>
					
					<li>
						<a class="app-menu__item" href="logout.php">
							<i class="app-menu__icon fa fa-user"></i>
							<span class="app-menu__label">Logout</span>
						</a>
					</li>
				</ul>
			</aside>
			<main class="app-content">
			
		<?php endif; ?>