<?php

require __dir__ . '/init.php';


if($_SERVER['REQUEST_METHOD'] == 'POST') {
	
	$image = help::process_image($_FILES['logo']);
	$status = false;
	
	if( $image['error'] && $image['error'] != 4 ) $msg = $image['error_msg'];
	else {
		if( $image['error'] ) $_POST['logo'] = $settings->get('logo');
		else {
			$img_name = md5(basename($image['name'])) . ".{$image['extension']}";
			$target = TEMP_DIR . "/assets/logo/{$img_name}";
			$moved = move_uploaded_file($image['tmp_name'], $target);
			if( $moved ) $_POST['logo'] = $img_name;
		};
		$status = [];
		foreach( $_POST as $key => $value ) $status[] = $settings->set( $key, $value );
		$status = !in_array(false, $status);
		$msg = $status ? "Settings successfully saved" : "Something went wrong";
	};

}

template::get_header();

?>


	<?php template::title( "BANK CONFIGURATION" ); ?>
    
	<div class='card'>    
		
		<div class='card-header'>
			<h4>Bank Settings</h4>
		</div>
		
		<div class="card-body">
		
			<?php template::alert( $msg, $status ?? null ); ?>

			<form class="form-horizontal" action="settings.php" method="POST" enctype="multipart/form-data" >
				
				<?php 
					
					$select_active = function($name) { 
						return function() use($name) {
						global $settings;
				?>
						<select class='form-control' name='<?php echo $name; ?>'>
							<?php foreach(['Disabled', 'Enabled'] as $key => $value): ?>
							<option value='<?php echo $key; ?>' <?php if( $key == (int)$settings->get($name) ) echo 'selected'; ?>>
								<?php echo $value; ?>
							</option>
							<?php endforeach; ?>
						</select>
						<?php };
					};
					
					$required_settings = array(
						"Site Name" => "sname",
						"SMS Private Key" => "apipr",
						"SMS Public Key" => "apipu",
						"SMS API" => $select_active('sms_api'),
						"Currency" => "currency",
						"Branch" => 'branch',
						"Bank Name" => 'bname',
						"Bank Location (Address)" => 'baddress',
						"Email" => 'email',
						"Email OTP" => $select_active('email_otp'),
						"Phone" => 'phone',
						"Address" => 'address',
						"Title" => 'title',
						"Transaction Charges %" => 'charges',
						"logo" => function() { ?>
							<div class=''>
								<img src='<?php echo template::$logo; ?>' style='height: 60px;' class='img-thumbnail mb-2'>
								<input type='file' name='logo' class='form-control'>
							</div>
						<?php }
					);
					
					foreach( $required_settings as $name => $key ):
				?>
					<div class='form-group'>
						<label class='form-label'><?php echo $name; ?></label>
						<?php 
							if( is_callable($key) ): $key();
							else: 
						?>
						<input type='text' name="<?php echo $key; ?>" value="<?php echo $settings->get($key); ?>" class='form-control'>
						<?php endif; ?>
					</div>
				<?php endforeach; ?>
				
				<button style="" type="submit" class="btn btn-primary"> 
					<i class="fa fa-send"></i>&nbsp; Save Settings 
				</button>
				
			</form>
		</div>
	</div>

<?php template::get_footer(); ?>  